About Active WMA Studio

Active WMA Studio is encoder/decoder with Windows Explorer-like interface, allowing you to encode WAV,MP3 and OGG files to WMA (Windows Media Audio) format with variety of format settings(from 8000 to 48000Hz, up to 192kbps, Digital Rights Management (DRM) technology support), convert WMA,MP3 and OGG files to WAV PCM format, and also convert WMA files to MP3 format using LAME 3.70(3.89beta optionally) encoder library, convert WMA to OGG Vorbis format, resample WMA files. Audio formats conversion is performed directly, without any temporary WAV files, this fact means higher converting speed and economy of hard disk resource.

Active WMA Studio internally supports WMA 8 format, WMA 8 encoder improve quality of encoded audio of 30 to 50 percent over WMA 7.

You can encode and decode audio files one by one, and also you can use built-in batch process to increase perfomance in case of mass encoding/decoding. This tool allows you to edit ID3v2 Tags, copy it from one file to another while recoding.

Fast processing speed saves your time and high conversion quality allows you really to enjoy your digital audio.

Thank you for choosing Active WMA Studio!
We sincerely hope you enjoy our program.


System Requirements

Software Requirements

  • Windows 95, Windows 98, Windows NT 4.0, Windows 2000, or Windows ME
  • Version 4.72 or later of the Windows Common Control library. This library is part of Windows 98, Microsoft Internet Explorer 4.0, and is available as a separate download from the Microsoft web site at http://www.microsoft.com/msdownload/ieplatform/ie/comctrl.asp
  • Windows Media Audio version 8.0

Hardware Requirements

  • Pentium 150 MHz or better
  • 16 Mb of RAM or more
  • 6 MB free disk space
  • VGA Video


Interface Summary

Active WMA Studio provides you with easy-to-use Explorer-like interface, that allows you to locate and process your audio files stored in your file system.

Users Interface consists of next parts:

  • Main Toolbar - provides buttons to activate commands
  • Format Selection Dialog - allows you to change output format of conversion
  • Folder Tree - displays the folder hierarchy of your file system
  • File List - displays supported audio files within the current folder
  • Batch Queue - displays queue of tasks for batch process
  • Status bar - displays status information and properties for selected files

As seen above, the Active WMA Studio main window is divided into three different panes, these panes are resizable, by hovering the mouse over a frame of a pane will change to [image] resize cursor. Holding down the mouse button allows you to move the frame bar to resize the window. The surrounding windows will also be resized.


Main Toolbar

The shortcut toolbar, located at the top of the Active WMA Studio window, consists of a number of buttons identified by icons with short command name below.

Notes:

  • To activate a command, click on the corresponding button with the primary mouse button.
  • To get a short description of the function of each button, rest the mouse cursor over the button.
  • You can show or hide the toolbar with the [View | Toolbar] menu command.

Related Topics: Interface Summary


Status Bar

The status bar, located at the bottom of the Active WMA Studio window, displays status information and properties for the selected file(s).

Folder summary information
Shows the total number and size of the files shown in the File list.

Selected file information
The following information is shown when a single item is selected:

  • File: size, date, and time of last modification.
  • Folder: time of last modification.

The following information is shown when more than one item is selected:

  • Total number and size of the selected files.

Selected file properties
Type of audio file.

Note: You can show or hide the status bar with the [View | Browser panes | Status Bar] menu command.

Related Topics: Interface Summary


Format Selection Dialog

This small dialog is used to change output format while converting files from File List, you can also change output format of selected task in Batch Queue with it's help.

Note: To change format type simply select appropriate radio-button.

Related Topics: Interface Summary


Folder Tree

The Folder tree, located on the left side of the Active WMA Studio window, displays the folders of your file system.

Whenever you select a file system folder in the Folder Tree, it is designated as the current folder and its contents appear in the File List to the right. If a folder contains subfolders, a [+] appears next to the folder icon.

You can expand the folder to show the subfolders by clicking on the [+], or by selecting the folder and pressing <Cursor Right> or <Numpad +>. A [-] will appear to an expanded folder. To completely expand a folder and all of its subfolders, select the folder and press <Shift> and <Numpad *>.

You can collapse a folder to hide its subfolders by clicking on the [-], or by selecting the folder and pressing <Cursor Left> or <Numpad ->

Related Topics: File List, Batch Queue, Interface Summary


File List

(Details mode)

The File List displays information about audio files in the folder currently being browsed. There are several ways to view the files within this pane.

View mode.

By clicking the Views button you can toggle through different File List views.
Or, as seen here, it is also possible to click on the drop down arrow to the right of the icon and select the view.
  • Large Icons mode. In Large Icons mode, large icons with filenames below represent files and folders. Icons are arranged from left to right.
  • Small Icons mode. In Small Icons mode, small icons with filenames to the right of them represent files and folders.Icons are arranged from left to right.
  • List mode. In List mode, small icons with filenames to the right of them represent files and folders. Icons are arranged from top to bottom.
  • Details mode. In Details mode, file information is presented in report format, with each file occupying one row. Audio files currently supported by Active WMA Studio are displayed with file size, type, date of last modification and associated image icon.

Sorting.

You can change the way items in the File list are arranged as follows:

  • Menu. Select the desired sort method from the [View | Arrange Icons] menu.
  • Context menu. You can click with the alternate mouse button on the background of the File List to bring up a context menu. From here, select the desired sort method from the [Arrange Icons] sub-menu.
  • Shortcut Keys. You can press any of the keys <F9> through <F12> to sort by file name, size, type, date.

The method of sorting is preserved across sessions and remains in effect until it is explicitly changed.

Selecting files.
Click on a file it with the primary mouse button to select it, or move the focus to the item using the arrow keys. To select additional files, hold down <Ctrl> and click another file. Alternatively, with the <Ctrl> held down, move the focus to a file using the arrow keys and press <Space> to select/deselect it.

To highlight a range of files, select the first item and then click the last item in the range while holding down <Shift> key.

Context menu.

A context menu will be shown when you click on an item in the File List with the alternate mouse button. You can display a context menu for several items by selecting them and clicking on one with the alternate mouse button.

Related Topics: Folder Tree, Batch Queue, Interface Summary


Batch Queue

The Batch Queue displays information about tasks to perform in batch process. This information is presented as list of encode/decode tasks with their attributes in report format, with each task occupying one row.

Selecting tasks.
Click on a task item it with the primary mouse button to select it, or move the focus to the item using the arrow keys. To select additional tasks, hold down <Ctrl> and click another task. Alternatively, with the <Ctrl> held down, move the focus to a task item using the arrow keys and press <Space> to select/deselect it.

To highlight a range of tasks, select the first item and then click the last item in the range while holding down <Shift> key.

Context menu.
A context menu will be shown when you click on an item in the Batch Queue with the alternate mouse button. You can display a context menu for several items by selecting them and clicking on one with the alternate mouse button.

Toolbar.
Batch Queue pane has it's own toolbar to activate batch-specific commands. The shortcut toolbar, located at the top of the Batch Queue pane, consists of a number of small buttons identified by icons.

  • To activate a command, click on the corresponding button with the primary mouse button.
  • To get a short description of the function of each button, rest the mouse cursor over the button.

Related Topics: Adding Tasks to Batch Queue, Using Batch Queue, Batch Queue Settings


Using Active WMA Studio

Convert from File List
Editing ID3Tag from File List
Adding Tasks to Batch Queue
Using Batch Queue

Related Topics: Formats Settings, Interface Summary


Convert from File List

To convert single audio file from one format to another, change current folder to that with file you need to convert using File List or Folder Tree. After having reached necessary folder, select file item of target file and choose appropriate output format using Format Selection Dialog. Then you have to do one of the following:

  • click on your audio file item with the alternate mouse button and select "Convert file..." from context menu
  • press <Ctrl+V>
  • select file item and press [image] button on Main Toolbar
  • select file item and use [File | Convert file…] menu command

Then choose appropriate settings in coversion dialog and press OK button.

Hint: You can also add these files to Batch Queue and use batch processing.

Related Topics: File List


Editing ID3 Tag from File List

To edit ID3 Tags in MP3, WMA or OGG file, change current folder to the one with file which ID3 Tag you need to edit, using File List or Folder Tree, then do one of the following:

  • click on file item of file with the alternate mouse button (in File List) and select "Edit ID3 Tag..." from popup menu
  • select file item and press <Ctrl+T>
  • select file and press [image] button on Main Toolbar.
  • select file item and use [File | Edit ID3 Tag…] menu command

After you have performed one of previous actions, "Edit ID3 Tag" dialog appears.

You can use it to change ID3 Tag fields of selected file, then you can press "Update" button if you want to save your changes or "Cancel" button if you wish to cancel.

Related Topics: File List


Adding Tasks to Batch Queue

To add file(s) to Batch Queue, change current folder to the one with file(s) you need to add to Batch Queue using File List or Folder Tree. After you have reached necessary folder, select file(s) you need. Then you have to do one of the following:

  • press [image] button on Main Toolbar
  • click on selection in File List with the alternate mouse button and choose "Add to Batch Queue" from popup menu
  • press <Ctrl+Enter>
  • use [File | Add to Batch Queue…] menu command
  • simply double-click on file item if you want to add single file and it is not a folder.

If [Options | Batch | Ask for encode/decode settings …] is enabled and you add single task, you also will be asked for encode/decode settings. Audio files from selected folders are also added to Batch Queue.

Hint: To scan all subfolders for audio files while adding folder, enable [Options | Batch | Scan all subfolders …] checkbox.

Related Topics: Batch Queue, Using Batch Queue, Batch Queue Settings


Using Batch Queue

Add files you need to convert to Batch Queue. If you want to change format settings of any task, you can click with alternate mouse button on this task, represented by Batch Queue item and select "Properties" from context menu to choose appropriate settings. You can also select this task and press [image] button on Batch Queue Toolbar, use [Batch | Task Properties] menu command.

When all settings are set up, you can start batch process by pressing [image] button on Batch Queue Toolbar, by selecting "Process all tasks " item from context menu or by using [Batch | Process all tasks] menu command. You can also process only selected task(s) by pressing [image] button on Batch Queue Toolbar, by selecting "Process selected task(s) " item from context menu or by using [Batch | Process selected task(s)] menu command.

After the batch process have finished you can remove successfully completed tasks from Batch Queue by pressing [image] button on Batch Queue Toolbar, by selecting " Delete successfully completed " item from context menu or by using [Batch | Delete successfully completed] menu command. You can also delete all selected task(s) by pressing [image] button on Batch Queue Toolbar , by selecting " Delete selected task(s)" item from context menu or by using [Batch | Delete selected task(s)] menu command.

You can rearrange tasks in Batch Queue, using <Alt+Arrow Up> and <Alt+Arrow Down> to move selection of tasks up and down. You can also use [image] and [image] Batch Queue Toolbar buttons, "Move selection up" and "Move selection down" items from context menu or [Batch | Move selection up] and [Batch | Move selection down] menu commands to move selection up and down.

You can also change output format of single selected task using Format Selection Dialog for this purpose. Settings for new task with another output format become defaults (see Options).

Related Topics: Batch Queue, Adding Tasks to Batch Queue, Batch Queue Settings


Formats Settings

Windows Media audio format settings description.
MP3 format settings description.
WAV PCM format settings description.

Related Topics: Options


WMA Format Settings

When you convert files from File List or add single task to Batch Queue with [Options|Batch|Ask for encode/decode settings …] enabled, you will be asked for settings. If you convert something to WMA format, you will see next dialog:

Controls in this dialog are divided in four groups:

Output file settings.

  • "Output file" editbox. You can change output file name and path in corresponding editbox directly or by pressing button right to this editbox and changing file name in standart "Save As " dialog.
  • "Bitrate" combobox. With it's help you can choose appropriate bitrate of output WMA file.
  • "Samplerate" combobox. With it's help you can choose appropriate samplerate of output WMA file. Possible samplerates are restricted by chosen bitrate.
  • "Channels" combobox. With it's help you can choose Stereo or Mono modes of encoding. Possible channels' modes are restricted by chosen bitrate and samplerate.
  • "Delete source after processing" checkbox. Enable or disable deletion of source file after processing.

The following table shows possible combinations of audio input and output.

Samplerates(Hz)
Bitrates(kbps)
8000 11025 16000 22050 32000 44100 48000
5 M - - - - - -
6 M - - - - - -
8 M M - - - - -
10 - M M - - - -
12 S - M - - - -
16 - - SM M - - -
20 - - S SM M - -
22 - - - S - - -
32 - - - S S SM -
40 - - - - S - -
48 - - - - S SM -
64 - - - - - S -
80 - - - - - S -
96 - - - - - S -
128 - - - - - S S
160 - - - - - S S
192 - - - - - S S
  • M - mono mode available
  • S - stereo mode available
  • SM - mono and stereo mode available
  • '-' - combination unavailable.

ID3v2 Tag.
You can enable/disable ID3v2 Tag in output WMA file by enabling/disabling "ID3v2 Tag" checkbox and set tag's fields using corresponding controls. You can load ID3v2 Tag from source file, if it is in MP3 format, by pressing [image] button.

Input file info.
Here you can see source file name with full path. If you need to scroll it, click on editbox with primary mouse button and then use <Arrow Left> and <Arrow Right> keys to scroll.

Progress.
If you set up all settings and want to start conversion, just press "Start" button. If you want to cancel coversion press "Cancel" button.

Related Topics: WMA Defaults,Convert from File List, Adding Tasks to Batch Queue


MP3 Format Settings

When you convert files from File List or add single task to Batch Queue with [Options|Batch|Ask for encode/decode settings …] enabled, you will be asked for settings. If you convert WMA to MP3 format, you will see next dialog:

Controls in "Encode settings" dialog are divided in five groups:

Output file settings.

  • "Output file" editbox. You can change output file name and path directly in corresponding editbox or by pressing button right to this editbox and changing file name with standart "Save As " dialog.
  • "Samplerate" combobox. With it's help you can choose appropriate samplerate of output MP3 file. You can choose from 32000Hz, 44100Hz or 48000Hz (MPEG1 standart sample frequencies)
  • "Channels mode" combobox. With it's help you can choose one of next channels modes of encoding:
    Stereo
    In this mode, the encoder makes no use of potentially existing correlations between the two input channels. It can, however, negotiate the bit demand between both channel, i.e. give one channel more bits if the other contains silence. Joint Stereo
     In this mode, the encoder will make use of a correlation between both channels. The signal will be matrixed into a sum ("mid") and difference ("side") signal. For quasi-mono signals, this will give a significant gain in encoding quality. This mode does not destroy phase information like IS stereo that may be used by other encoders and thus can be used to encode DOLBY ProLogic surround signals.
    Dual Channel(Forced Joint Stereo)
    This mode will force MS joint stereo on all frames. It's slightly faster than joint stereo, but it should be used only if you are sure that every frame of the input file has very little stereo separation.
    Mono
    The input will be encoded as a mono signal. If it was a stereo signal, it will be downsampled to mono. The downmix is calculated as the sum of the left and right channel, attenuated by 6 dB.
  • "MPEG Quality" combobox. Use it to set encoding quality. High quality encoding is slower but result sounds better, low quality is faster, you can use it to save your time, but result is mediocre. Choose "Voice" quality if you need speech compression.
  • "Delete source after processing" checkbox. Enable or disable deletion of source file after processing.

Variable Bitrate.
You can enable/disable VBR mode by enabling/disabling "Variable Bitrate" checkbox. You can select here appropriate bitrates for encoding (minimum bitrate used for encoding if VBR mode is disabled), and also set VBR quality.

ID3v2 Tag.
You can enable/disable ID3v2 Tag in output MP3 file by enabling/disabling "ID3v2 Tag" checkbox and set tag's fields using corresponding controls. You can load ID3v2 Tag from source file by pressing [image] button.

Input file info.
Here you can see source file name with full path. If you need to scroll it, click on editbox with primary mouse button and then use <Arrow Left> and <Arrow Right> keys to scroll.

Progress.
If you set up all options and want to start conversion, just press "Start" button. If you want to cancel coversion press "Cancel" button.

Related Topics: MP3 Defaults, Convert from File List, Adding Tasks to Batch Queue


OGG Format Settings

When you convert files from File List or add single task to Batch Queue with [Options|Batch|Ask for encode/decode settings …] enabled, you will be asked for settings. If you convert WMA to OGG format, you will see next dialog:

Controls in "Encode settings" dialog are divided in five groups:

Output file settings.

  • "Output file" editbox. You can change output file name and path directly in corresponding editbox or by pressing button right to this editbox and changing file name with standart "Save As " dialog.
  • "Samplerate" combobox. With it's help you can choose appropriate samplerate of output OGG file. You can choose from 44100Hz or 48000Hz
  • "Channels" combobox. With it's help you can choose Stereo or Mono modes of encoding.
  • "Delete source after processing" checkbox. Enable or disable deletion of source file after processing.

Variable Bitrate.
You can enable/disable VBR mode by enabling/disabling "Variable Bitrate" checkbox. You can select here appropriate bitrates for encoding (minimum bitrate used for encoding if VBR mode is disabled).

ID3v2 Tag.
You can enable/disable ID3v2 Tag in output OGG file by enabling/disabling "ID3v2 Tag" checkbox and set tag's fields using corresponding controls. You can load ID3v2 Tag from source file by pressing [image] button.

Input file info.
Here you can see source file name with full path. If you need to scroll it, click on editbox with primary mouse button and then use <Arrow Left> and <Arrow Right> keys to scroll.

Progress.
If you set up all options and want to start conversion, just press "Start" button. If you want to cancel coversion press "Cancel" button.

Related Topics: OGG Defaults, Convert from File List, Adding Tasks to Batch Queue


WAV PCM Format Settings

When you convert files from File List or add single task to Batch Queue with [Options|Batch|Ask for encode/decode settings …] enabled, you will be asked for settings. If you convert something to WAV PCM format, you will see next dialog:

Controls in this dialog are divided in three groups:

Output file settings.

  • "Output file" editbox. You can change output file name and path in corresponding editbox directly or by pressing button right to this editbox and changing file name with standart "Save As " dialog.
  • "Delete source after processing" checkbox. Enable or disable deletion of source file after processing.

Input file info.
Here you can see source file name with full path. If you need to scroll it, click on editbox with primary mouse button and then use <Arrow Left> and <Arrow Right> keys to scroll.

Progress.
If you set up all options and want to start conversion, just press "Start" button. If you want to cancel coversion press "Cancel" button.

Related Topics: WAV PCM Defaults,Convert from File List, Adding Tasks to Batch Queue


Options

WMA Defaults
MP3 Defaults
WAV PCM Defaults
Batch Queue Settings
General Settings

Related Topics: Formats Settings, Interface Summary


WMA Defaults

You can start this page of "Options" dialog by pressing [image] button on Main Toolbar and selecting "WMA Defaults" tab or using [Options | WMA Defaults] menu command.

Here you can set default bitrate, samplerate and channel mode using corresponding comboboxes (see Convert to WMA).

You can also :

  • Turn on/off protection with "Enable Digital Rights Management" checkbox. Files created with this feature turned on can be locally used only.
  • Use "Enable Id3 Tag" check box to enable/disable automatical enabling ID3 Tag in output file.
  • Use "Automatically load ..." check box to enable/disable automatical loading ID3 Tag from source MP3 file.
  • Use "Delete source file after processing" check box to enable/disable deleting encode source file immediately after processing.
  • Set default output format for conversion from WMA using "Conver to..." combobox.

Related Topics: Convert to WMA, Adding Tasks to Batch Queue, Convert from File List


MP3 Defaults

You can start this page of "Options" dialog by pressing [image] button on Main Toolbar and selecting "MP3 Defaults" tab or using [Options | MP3 Defaults] menu command.

Here you can set default samplerate, bitrate(or bitrates and VBR quality if you want to use VBR mode), quality of encoding and channel mode using corresponding comboboxes (see Convert to MP3).

You can also :

  • Use "Enable Id3 Tag" check box to enable/disable automatical enabling ID3 Tag in output file.
  • Use "Automatically load ..." check box to enable/disable automatical loading ID3 Tag from source MP3 file.
  • Use "Delete source file after processing" check box to enable/disable deleting encode source file immediately after processing.
  • Set default output format for conversion from MP3 using "Conver to..." combobox.
  • Set version of LAME encoder dll.

Related Topics: Convert to MP3, Adding Tasks to Batch Queue, Convert from File List


OGG Defaults

You can start this page of "Options" dialog by pressing [image] button on Main Toolbar and selecting "OGG Defaults" tab or using [Options | OGG Defaults] menu command.

Here you can set default samplerate, bitrate(or minimum an maximum bitrates if you want to use VBR mode), channel mode using corresponding comboboxes (see Convert to OGG).

You can also :

  • Use "Enable Id3 Tag" check box to enable/disable automatical enabling ID3 Tag in output file.
  • Use "Automatically load ..." check box to enable/disable automatical loading ID3 Tag from source MP3 file.
  • Use "Delete source file after processing" check box to enable/disable deleting encode source file immediately after processing.
  • Set default output format for conversion from OGG using "Conver to..." combobox.

Related Topics: Convert to OGG, Adding Tasks to Batch Queue, Convert from File List


WAV Defaults

You can start this page of "Options" dialog by pressing [image] button on Main Toolbar and selecting "WAV Defaults" tab or using [Options | WAV Defaults] menu command.

  • Use "Delete source file after processing" check box to enable/disable deleting decode source file immediately after processing.

Related Topics: Convert to WAV PCM , Adding Tasks to Batch Queue, Convert from File List


Batch Queue Settings

You can start this page of "Options" dialog by pressing [image] button on Main Toolbar and selecting "Batch" tab or using [Options | Batch] menu command.

  • Use "Ask for encode/decode settings when adding ..." check box to enable/disable asking for encode/decode settings when adding task to Batch Queue.
  • Use "Immediately remove successfully processed ..." check box to enable/disable automatical removing sucessfully processed tasks from Batch Queue, immediately after the batch process have finished.
  • Use "Scan all subfolders when ..." check box to enable/disable scanning all subfolders of folder been added from File List to Batch Queue.

Related Topics: Batch Queue, Adding Tasks to Batch Queue, Using Batch Queue


General Settings

You can start this page of "Options" dialog by pressing [image] button on Main Toolbar and selecting "General" tab or using [Options | General] menu command.

  • Use "Save Batch Queue content ..." check box to enable/disable saving Batch Queue content on exit.
  • Use "Save options ..." box to enable/disable saving options on exit.
  • Use "Confirmation for delete file(s)" check box to enable/disable confirmation on file deleting.
  • Use "Output folder" check box to turn on/off default output folder feature. All files will be created by Active WMA Studio in this folder with this feature turned on. You can set default output folder directly in editbox or press "..." button and then select folder in standart dialog.

Related Topics: Batch Queue Settings, General Settings


Technical Support

If you are unable to resolve your technical problem using these help files or the FAQ's contact us at wmastudio@shelltoys.com. Please inform us about the following:

  • Active WMA Studio version (from 'About' dialog).
  • Windows version (including service packs and other fixes installed), US or international, OEM or not.
  • Computer information: CPU type and speed, installed memory.
  • Description of your problem (as much information as possible to reproduce the problem).

Related Topics: FAQ's, Upgrade


Frequantly Asked Questions

Can you send me an email when the next update of the program is released?

I can't find my registration code or My registration code doesn't work.

What are ID3 Tags?

Can you send me an email when the next update of the program is released?
Sure. Simply join the mailinglist e.g. from the homepage and you will be notified of all program updates and interesting program news immediately as they happen.

I can't find my registration code or My registration code doesn't work.
If for any reason your registration code becomes invalid or lost just send an e-mail at wmastudio@shelltoys.com together with the details of your previous registration.

What are ID3 Tags?
ID3 tags are information about an MP3 file, such as the Artist, Album, Title, Year, Track, Genre, Comments, Lyrics and even custom comments. ID3 tags are optional information that can be added when the MP3 file is created (encoded). Active WMA Studio allows you to change information about a track in the Edit ID3 Tag dialog.
The following Tag fields are available for you to track important music information. Each music file can contain info in every available field.

Title - The name of the song.
Artist - The name of the Artist who performed the song.
Album - The name of the CD (not always the name of the artist).
Genre - The style of music this song is i.e...Rock, Rap, Classical etc.
Year- Year of publication of the music.
Comments - Type or cut and paste in any notes you'd like to add.

Related Topics: Upgrade, Tecchnical Support


Upgrade

If you are a registered user of Active WMA Studio you may upgrade at no charge to any newer release. Just download the latest trial release of Active WMA Studio and install it without uninstalling the previous version (don't forget close previous version of Active WMA Studio if running). This will preserve your registration. If the registration code is no longer present on your system just re-enter it like the first time and restart the program.

If for any reason your registration code becomes invalid or lost just send an e-mail to wmastudio@shelltoys.com together with the details of your previous registration. You will receive a new code via e-mail at no charge as soon as we have validated your old registration data.

Related Topics: FAQ's, Tecchnical Support


License Agreement

PLEASE READ THE FOLLOWING LICENSE AGREEMENT CAREFULLY.
YOU ARE GRANTED THE FOLLOWING LIMITED RIGHTS:

  • A non-exclusive, non-transferable right to use the shareware version of Active WMA Studio for evaluation period of 14 days. (The trial period does not apply if you have registered the software).
  • The right to distribute the software in its shareware form to third parties, provided the latter agree to accept the terms of this Agreement.
  • One purchased license gives right to installing a registered version of Active WMA Studio on one computer.

IT IS STRICTLY PROHIBITED TO:

  • Modify the software partially or completely.
  • Decompile or reverse engineer the software.
  • Refer your registration number to third parties if you are a registered user.

SHOULD YOU FAIL TO COMPLY WITH ANY OF THE ABOVE-MENTIONED YOUR USER'S RIGHTS WOULD BE AUTOMATICALLY TERMINATED. THIS TERMINATION WILL BE IN ADDITION TO ANY CRIMINAL, CIVIL OR OTHER REMEDIES.

LIMITED WARRANTY:

  • LIMITATION OF LIABILITY FOR INDIRECT DAMAGES: The author cannot be held responsible under any circumstances for damages of any character arising out of the use of this product. This software is provided under license on an "AS IS" basis, without warranty of any kind, expressed or implied .
  • PROPERTY: This software, including its code, documentation, appearance, structure, and organisation is an exclusive product of the Shelltoys Inc., who retains the property rights to the software, its copies, modifications, or merged parts.


Registration Notes

Active WMA Studio is distributed on "try before you buy" principle. The 14-day free trial version allows you to completely evaluate the program features before registering it.

Why should I register?

For many people, the most pressing reason to register is to get rid of the annoying nag message which pops up at the most inconvenient times.
Once registering Active WMA Studio you

  • get the full version without any restrictions and nag screens
  • get all future full versions of Active WMA Studio free of charge irrespective of their price
  • receive up-to-date info about new versions and updates of Advanced WMA Workshop
  • obtain the right of the top-priority technical support

Finally, by registering the software, you provide us with the resources and incentive to support the software with updates.

How to register?

The fastest way to register the program is online order. You can order the program with secure online order form of known and reliable software registration service Register Now! at [image] or follow the https://www.regnow.com/softsell/nph-softsell.cgi?item=1808-12 link.
Alternatively, you can go to http://www.regnow.com, open order tabset and enter the program name Active WMA Studio in Search field or enter program number 1808-12 in Quick Jump field.

If you do not have access to the Internet, you can register via phone, fax or postal mail. Please print out the following form, and fax or mail it to:

Universal Commerce, Inc.
ATTN: Orders
PO Box 1816
Issaquah, WA 98027
United States of America
Phone: Toll Free (USA)877-353-7297, Regular (International) 425-392-2294
Fax: Toll Free (USA) 888-353-7276, Regular (International) 425-392-0223

Registration form for Active WMA Studio
Personal Information
  Program No.: 1808-12
  First Name:_____________________________________________
  Last Name:______________________________________________
  Company:________________________________________________
  Street Address: ________________________________________
  City:___________________________________________________
  State/Province: ________________________________________
  Zip/Postal Code:________________________________________
  Country:________________________________________________
  Phone: _________________________________________________
  Email Address: _________________________________________
Order Information
  Quantity: ______
  Price:  $24.95

Payment Information
  Name on Card: _________
  Type of Credit Card: _________
  Card Number: ___________________
  Expiration Date:  Month __________ Year(4 digits) ______

The up-to-date information about the Active WMA Studio registration is available from the web page at http://www.shelltoys.com/register.html.

If you have any questions about the registration please contact wmastudio@shelltoys.com.


LAME Library

In Active WMA Studio we use compiled version of LAME (LAME Ain't an MP3 Encoder) v3.70 encoder library to convert Windows Media audio to MP3 format. This library is distributed under GNU LIBRARY GENERAL PUBLIC LICENSE, sources of LAME project can be obtained on www.sulaco.org/mp3.


Copyright and Contact Information

Active WMA Studio
Version 1.x
Copyright © 2003 Shelltoys, Inc.

Information about the latest version of the program is available from the Shelltoys Home Page at:

http://www.shelltoys.com

Any comments, suggestions and bug reports are always welcome. Please feel free to contact us:

wmstudio@shelltoys.com

Tip: If you would like to receive information about new products and releases join Shelltoys News Mailing List.

Thank you for choosing Active WMA Studio!
We sincerely hope you enjoy our program.


GNU LIBRARY GENERAL PUBLIC LICENSE

                GNU LIBRARY GENERAL PUBLIC LICENSE
               Version 2, June 1991

 Copyright (C) 1991 Free Software Foundation, Inc.
                59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 Everyone is permitted to copy and distribute verbatim copies
 of this license document, but changing it is not allowed.

[This is the first released version of the library GPL.  It is
 numbered 2 because it goes with version 2 of the ordinary GPL.]

                Preamble

  The licenses for most software are designed to take away your
freedom to share and change it.  By contrast, the GNU General Public
Licenses are intended to guarantee your freedom to share and change
free software--to make sure the software is free for all its users.

  This license, the Library General Public License, applies to some
specially designated Free Software Foundation software, and to any
other libraries whose authors decide to use it.  You can use it for
your libraries, too.

  When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.

  To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if
you distribute copies of the library, or if you modify it.

  For example, if you distribute copies of the library, whether gratis
or for a fee, you must give the recipients all the rights that we gave
you.  You must make sure that they, too, receive or can get the source
code.  If you link a program with the library, you must provide
complete object files to the recipients so that they can relink them
with the library, after making changes to the library and recompiling
it.  And you must show them these terms so they know their rights.

  Our method of protecting your rights has two steps: (1) copyright
the library, and (2) offer you this license which gives you legal
permission to copy, distribute and/or modify the library.

  Also, for each distributor's protection, we want to make certain
that everyone understands that there is no warranty for this free
library.  If the library is modified by someone else and passed on, we
want its recipients to know that what they have is not the original
version, so that any problems introduced by others will not reflect on
the original authors' reputations.

  Finally, any free program is threatened constantly by software
patents.  We wish to avoid the danger that companies distributing free
software will individually obtain patent licenses, thus in effect
transforming the program into proprietary software.  To prevent this,
we have made it clear that any patent must be licensed for everyone's
free use or not licensed at all.

  Most GNU software, including some libraries, is covered by the ordinary
GNU General Public License, which was designed for utility programs.  This
license, the GNU Library General Public License, applies to certain
designated libraries.  This license is quite different from the ordinary
one; be sure to read it in full, and don't assume that anything in it is
the same as in the ordinary license.

  The reason we have a separate public license for some libraries is that
they blur the distinction we usually make between modifying or adding to a
program and simply using it.  Linking a program with a library, without
changing the library, is in some sense simply using the library, and is
analogous to running a utility program or application program.  However, in
a textual and legal sense, the linked executable is a combined work, a
derivative of the original library, and the ordinary General Public License
treats it as such.

  Because of this blurred distinction, using the ordinary General
Public License for libraries did not effectively promote software
sharing, because most developers did not use the libraries.  We
concluded that weaker conditions might promote sharing better.

  However, unrestricted linking of non-free programs would deprive the
users of those programs of all benefit from the free status of the
libraries themselves.  This Library General Public License is intended to
permit developers of non-free programs to use free libraries, while
preserving your freedom as a user of such programs to change the free
libraries that are incorporated in them.  (We have not seen how to achieve
this as regards changes in header files, but we have achieved it as regards
changes in the actual functions of the Library.)  The hope is that this
will lead to faster development of free libraries.

  The precise terms and conditions for copying, distribution and
modification follow.  Pay close attention to the difference between a
"work based on the library" and a "work that uses the library".  The
former contains code derived from the library, while the latter only
works together with the library.

  Note that it is possible for a library to be covered by the ordinary
General Public License rather than by this special one.

          GNU LIBRARY GENERAL PUBLIC LICENSE
   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

  0. This License Agreement applies to any software library which
contains a notice placed by the copyright holder or other authorized
party saying it may be distributed under the terms of this Library
General Public License (also called "this License").  Each licensee is
addressed as "you".

  A "library" means a collection of software functions and/or data
prepared so as to be conveniently linked with application programs
(which use some of those functions and data) to form executables.

  The "Library", below, refers to any such software library or work
which has been distributed under these terms.  A "work based on the
Library" means either the Library or any derivative work under
copyright law: that is to say, a work containing the Library or a
portion of it, either verbatim or with modifications and/or translated
straightforwardly into another language.  (Hereinafter, translation is
included without limitation in the term "modification".)

  "Source code" for a work means the preferred form of the work for
making modifications to it.  For a library, complete source code means
all the source code for all modules it contains, plus any associated
interface definition files, plus the scripts used to control compilation
and installation of the library.

  Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope.  The act of
running a program using the Library is not restricted, and output from
such a program is covered only if its contents constitute a work based
on the Library (independent of the use of the Library in a tool for
writing it).  Whether that is true depends on what the Library does
and what the program that uses the Library does.

  1. You may copy and distribute verbatim copies of the Library's
complete source code as you receive it, in any medium, provided that
you conspicuously and appropriately publish on each copy an
appropriate copyright notice and disclaimer of warranty; keep intact
all the notices that refer to this License and to the absence of any
warranty; and distribute a copy of this License along with the
Library.

  You may charge a fee for the physical act of transferring a copy,
and you may at your option offer warranty protection in exchange for a
fee.

  2. You may modify your copy or copies of the Library or any portion
of it, thus forming a work based on the Library, and copy and
distribute such modifications or work under the terms of Section 1
above, provided that you also meet all of these conditions:

    a) The modified work must itself be a software library.

    b) You must cause the files modified to carry prominent notices
    stating that you changed the files and the date of any change.

    c) You must cause the whole of the work to be licensed at no
    charge to all third parties under the terms of this License.

    d) If a facility in the modified Library refers to a function or a
    table of data to be supplied by an application program that uses
    the facility, other than as an argument passed when the facility
    is invoked, then you must make a good faith effort to ensure that,
    in the event an application does not supply such function or
    table, the facility still operates, and performs whatever part of
    its purpose remains meaningful.

    (For example, a function in a library to compute square roots has
    a purpose that is entirely well-defined independent of the
    application.  Therefore, Subsection 2d requires that any
    application-supplied function or table used by this function must
    be optional: if the application does not supply it, the square
    root function must still compute square roots.)

These requirements apply to the modified work as a whole.  If
identifiable sections of that work are not derived from the Library,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works.  But when you
distribute the same sections as part of a whole which is a work based
on the Library, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote
it.

Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Library.

In addition, mere aggregation of another work not based on the Library
with the Library (or with a work based on the Library) on a volume of
a storage or distribution medium does not bring the other work under
the scope of this License.

  3. You may opt to apply the terms of the ordinary GNU General Public
License instead of this License to a given copy of the Library.  To do
this, you must alter all the notices that refer to this License, so
that they refer to the ordinary GNU General Public License, version 2,
instead of to this License.  (If a newer version than version 2 of the
ordinary GNU General Public License has appeared, then you can specify
that version instead if you wish.)  Do not make any other change in
these notices.

  Once this change is made in a given copy, it is irreversible for
that copy, so the ordinary GNU General Public License applies to all
subsequent copies and derivative works made from that copy.

  This option is useful when you wish to copy part of the code of
the Library into a program that is not a library.

  4. You may copy and distribute the Library (or a portion or
derivative of it, under Section 2) in object code or executable form
under the terms of Sections 1 and 2 above provided that you accompany
it with the complete corresponding machine-readable source code, which
must be distributed under the terms of Sections 1 and 2 above on a
medium customarily used for software interchange.

  If distribution of object code is made by offering access to copy
from a designated place, then offering equivalent access to copy the
source code from the same place satisfies the requirement to
distribute the source code, even though third parties are not
compelled to copy the source along with the object code.

  5. A program that contains no derivative of any portion of the
Library, but is designed to work with the Library by being compiled or
linked with it, is called a "work that uses the Library".  Such a
work, in isolation, is not a derivative work of the Library, and
therefore falls outside the scope of this License.

  However, linking a "work that uses the Library" with the Library
creates an executable that is a derivative of the Library (because it
contains portions of the Library), rather than a "work that uses the
library".  The executable is therefore covered by this License.
Section 6 states terms for distribution of such executables.

  When a "work that uses the Library" uses material from a header file
that is part of the Library, the object code for the work may be a
derivative work of the Library even though the source code is not.
Whether this is true is especially significant if the work can be
linked without the Library, or if the work is itself a library.  The
threshold for this to be true is not precisely defined by law.

  If such an object file uses only numerical parameters, data
structure layouts and accessors, and small macros and small inline
functions (ten lines or less in length), then the use of the object
file is unrestricted, regardless of whether it is legally a derivative
work.  (Executables containing this object code plus portions of the
Library will still fall under Section 6.)

  Otherwise, if the work is a derivative of the Library, you may
distribute the object code for the work under the terms of Section 6.
Any executables containing that work also fall under Section 6,
whether or not they are linked directly with the Library itself.

  6. As an exception to the Sections above, you may also compile or
link a "work that uses the Library" with the Library to produce a
work containing portions of the Library, and distribute that work
under terms of your choice, provided that the terms permit
modification of the work for the customer's own use and reverse
engineering for debugging such modifications.

  You must give prominent notice with each copy of the work that the
Library is used in it and that the Library and its use are covered by
this License.  You must supply a copy of this License.  If the work
during execution displays copyright notices, you must include the
copyright notice for the Library among them, as well as a reference
directing the user to the copy of this License.  Also, you must do one
of these things:

    a) Accompany the work with the complete corresponding
    machine-readable source code for the Library including whatever
    changes were used in the work (which must be distributed under
    Sections 1 and 2 above); and, if the work is an executable linked
    with the Library, with the complete machine-readable "work that
    uses the Library", as object code and/or source code, so that the
    user can modify the Library and then relink to produce a modified
    executable containing the modified Library.  (It is understood
    that the user who changes the contents of definitions files in the
    Library will not necessarily be able to recompile the application
    to use the modified definitions.)

    b) Accompany the work with a written offer, valid for at
    least three years, to give the same user the materials
    specified in Subsection 6a, above, for a charge no more
    than the cost of performing this distribution.

    c) If distribution of the work is made by offering access to copy
    from a designated place, offer equivalent access to copy the above
    specified materials from the same place.

    d) Verify that the user has already received a copy of these
    materials or that you have already sent this user a copy.

  For an executable, the required form of the "work that uses the
Library" must include any data and utility programs needed for
reproducing the executable from it.  However, as a special exception,
the source code distributed need not include anything that is normally
distributed (in either source or binary form) with the major
components (compiler, kernel, and so on) of the operating system on
which the executable runs, unless that component itself accompanies
the executable.

  It may happen that this requirement contradicts the license
restrictions of other proprietary libraries that do not normally
accompany the operating system.  Such a contradiction means you cannot
use both them and the Library together in an executable that you
distribute.

  7. You may place library facilities that are a work based on the
Library side-by-side in a single library together with other library
facilities not covered by this License, and distribute such a combined
library, provided that the separate distribution of the work based on
the Library and of the other library facilities is otherwise
permitted, and provided that you do these two things:

    a) Accompany the combined library with a copy of the same work
    based on the Library, uncombined with any other library
    facilities.  This must be distributed under the terms of the
    Sections above.

    b) Give prominent notice with the combined library of the fact
    that part of it is a work based on the Library, and explaining
    where to find the accompanying uncombined form of the same work.

  8. You may not copy, modify, sublicense, link with, or distribute
the Library except as expressly provided under this License.  Any
attempt otherwise to copy, modify, sublicense, link with, or
distribute the Library is void, and will automatically terminate your
rights under this License.  However, parties who have received copies,
or rights, from you under this License will not have their licenses
terminated so long as such parties remain in full compliance.

  9. You are not required to accept this License, since you have not
signed it.  However, nothing else grants you permission to modify or
distribute the Library or its derivative works.  These actions are
prohibited by law if you do not accept this License.  Therefore, by
modifying or distributing the Library (or any work based on the
Library), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Library or works based on it.

  10. Each time you redistribute the Library (or any work based on the
Library), the recipient automatically receives a license from the
original licensor to copy, distribute, link with or modify the Library
subject to these terms and conditions.  You may not impose any further
restrictions on the recipients' exercise of the rights granted herein.
You are not responsible for enforcing compliance by third parties to
this License.

  11. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Library at all.  For example, if a patent
license would not permit royalty-free redistribution of the Library by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Library.

If any portion of this section is held invalid or unenforceable under any
particular circumstance, the balance of the section is intended to apply,
and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system which is
implemented by public license practices.  Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.

This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.

  12. If the distribution and/or use of the Library is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Library under this License may add
an explicit geographical distribution limitation excluding those countries,
so that distribution is permitted only in or among countries not thus
excluded.  In such case, this License incorporates the limitation as if
written in the body of this License.

  13. The Free Software Foundation may publish revised and/or new
versions of the Library General Public License from time to time.
Such new versions will be similar in spirit to the present version,
but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number.  If the Library
specifies a version number of this License which applies to it and
"any later version", you have the option of following the terms and
conditions either of that version or of any later version published by
the Free Software Foundation.  If the Library does not specify a
license version number, you may choose any version ever published by
the Free Software Foundation.

  14. If you wish to incorporate parts of the Library into other free
programs whose distribution conditions are incompatible with these,
write to the author to ask for permission.  For software which is
copyrighted by the Free Software Foundation, write to the Free
Software Foundation; we sometimes make exceptions for this.  Our
decision will be guided by the two goals of preserving the free status
of all derivatives of our free software and of promoting the sharing
and reuse of software generally.

                NO WARRANTY

  15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO
WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW.
EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR
OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY
KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE
LIBRARY IS WITH YOU.  SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME
THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

  16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN
WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY
AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU
FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE
LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING
RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A
FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF
SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
DAMAGES.

             END OF TERMS AND CONDITIONS

           How to Apply These Terms to Your New Libraries

  If you develop a new library, and you want it to be of the greatest
possible use to the public, we recommend making it free software that
everyone can redistribute and change.  You can do so by permitting
redistribution under these terms (or, alternatively, under the terms of the
ordinary General Public License).

  To apply these terms, attach the following notices to the library.  It is
safest to attach them to the start of each source file to most effectively
convey the exclusion of warranty; and each file should have at least the
"copyright" line and a pointer to where the full notice is found.

    Copyright (C)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the
    Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA  02111-1307  USA.

Also add information on how to contact you by electronic and paper mail.

You should also get your employer (if you work as a programmer) or your
school, if any, to sign a "copyright disclaimer" for the library, if
necessary.  Here is a sample; alter the names:

  Yoyodyne, Inc., hereby disclaims all copyright interest in the
  library `Frob' (a library for tweaking knobs) written by James Random Hacker.

  <signature of Ty Coon>, 1 April 1990
  Ty Coon, President of Vice

That's all there is to it!